Đến nội dung


Hình ảnh

[Help] Hỏi về lệnh Break 1 line và lisp cho nó


  • Please log in to reply
2 replies to this topic

#1 lonely_haipro

lonely_haipro

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 October 2014 - 10:01 AM

Em đã tham khảo các topic về Break trên này nhưng vẫn không rõ! Tải lisp về thử nhưng vẫn không như ý mình muốn! Không biết có phải tại em thao tác sai không! Xin mọi người giúp đỡ.

Em có 1 đoạn thẳng AC có trung điểm tại B, và muốn cắt đoạn thẳng AC thành 2 đoạn ngay tại điểm B này thì phải dùng lệnh như thế nào ah? Hoặc có thể cắt đoặn AC này thành nhiều đoạn nhỏ hơn tại những điểm được chọn trước (vẽ điểm giao nhau, hoặc dùng lệnh DIV...)

Anh chị có thể giúp em một Lisp đơn giản được không ah?

Em đã dùng lisp của bác @Tue_NV bên toppic này: http://www.cadviet.c...-ve-lenh-break/

Lúc sử dụng thì chỉ có thể break tại điểm của "hình chữ nhật" (Điểm 1 và điểm 2 tạo thành hình chữ nhật này) Nhưng khi chọn điểm 1 và 2 cùng chung tại 1 điểm thì lisp này không hoạt động, đoạn thẳng vẫn không bị cắt! 


  • 0

#2 anhduccec

anhduccec

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 21 (tàm tạm)

Đã gửi 11 October 2014 - 11:27 AM

Dùng lisp này:

(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)  
(command "break" pause "f"  pause  "@")  
(setvar "osmode"  os)(princ))

 

(defun c:BR  (/ os)

Bạn có thể thay "osmode" 546 bằng số khác (546 gồm int, near, mid).

(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
 
(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
(setvar "osmode"  os)(princ))
(defun c:BR  (/ os)
(setq os (getvar "osmode"))
(setvar "osmode" 546)   
(command "break" pause "f"  pause  "@")   
(setvar "osmode"  os)(princ))

  • 0

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5451 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 11 October 2014 - 10:10 PM

Em đã tham khảo các topic về Break trên này nhưng vẫn không rõ! Tải lisp về thử nhưng vẫn không như ý mình muốn! Không biết có phải tại em thao tác sai không! Xin mọi người giúp đỡ.

Em có 1 đoạn thẳng AC có trung điểm tại B, và muốn cắt đoạn thẳng AC thành 2 đoạn ngay tại điểm B này thì phải dùng lệnh như thế nào ah? Hoặc có thể cắt đoặn AC này thành nhiều đoạn nhỏ hơn tại những điểm được chọn trước (vẽ điểm giao nhau, hoặc dùng lệnh DIV...)

Anh chị có thể giúp em một Lisp đơn giản được không ah?

Em đã dùng lisp của bác @Tue_NV bên toppic này: http://www.cadviet.c...-ve-lenh-break/

Lúc sử dụng thì chỉ có thể break tại điểm của "hình chữ nhật" (Điểm 1 và điểm 2 tạo thành hình chữ nhật này) Nhưng khi chọn điểm 1 và 2 cùng chung tại 1 điểm thì lisp này không hoạt động, đoạn thẳng vẫn không bị cắt! 

1 ví dụ về dùng lệnh Cad để Break tại điểm giữa:

Command: br

BREAK Select object: chọn đối tượng

Specify second break point or [First point]: f

Specify first break point: _mid of

Specify second break point: @


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.